#include <fstream>
#include <iostream>
#include <cmath>

using namespace std;

#define EPS 2e-5

double stR, trueR;

int main(int argc, char **argv)
{
	ifstream inFile(argv[1]);
	ifstream studentFile(argv[2]);
	ifstream outFile(argv[3]);
	
	bool ok = true;
		
	studentFile >> stR;
	outFile >> trueR;

	if (fabs(stR - trueR) > EPS)
		ok = false;
	
	inFile.close();
	studentFile.close();
	outFile.close();
	
	if (ok)
		cout << "OK";
	else
		exit(1);
	
	return 0;
}
